Mark Messages Read
Mark messages as read for a member.
The mark messages read endpoint allows you to mark one or more messages as read for a member. After this call, the messages no longer count toward the member's unread count.
Endpoint
| Method | Url |
|---|---|
POST | /v1.0/messages/read |
Request Parameters
message_ids
•
list of UUID
required
The IDs of the messages to mark as read. Send at least 1 and at most 100 IDs. Duplicate IDs are ignored.
user_id
•
UUID
The ID of the member to mark the messages as read for. If you do not send it, the messages are marked as read for the API Client.
Sample Request
bashCopied1curl -X POST 'https://api.worklayer.com/v1.0/messages/read' \2-H 'Authorization: Bearer {token}' \3-H 'Content-Type: application/json' \4-d '{ "message_ids": ["6b3b0a1c-d45c-4323-8584-6f341dbd8be9"], "user_id": "a6e5ea2f-7d96-4852-9f46-2383dfd572f7" }'
Response
A 204 No Content
Errors
Forbidden: API Client does not have permission to mark these messages as read for the member.Unauthorized: API Client does not have valid credentials.NotFound: The messages could not be found.BadRequest: Eithermessage_idsis empty or has more than 100 IDs, an ID is not a valid UUID, or the request was malformed.
Last updated on October 15, 2026
Privacy PolicyTerms & Conditions© 2026 Taxfyle